function Omega = dispersion(kappa,startval,Lambda,Gamma,alpha,epsilon)

Omega = startval;

% converge to Omega with current kappa value
tol = 1.0e-10;
for i = 1:101
    oldOmega = Omega;
    Omega = Omega - (f(kappa,Omega,Lambda,Gamma,alpha,epsilon) /...
        fp(kappa,Omega,Lambda,Gamma,alpha,epsilon))*.5;
    if (abs(Omega-oldOmega) < tol)
        break
    end
    if (i == 1000)
        printf('%f, no covergence -- ',Omega)
        break
    end
end

