% Kerry 2018 parameters
clear all;
C  = 0.4;
%C=0.8;
%D = 1.5;
D = -0.62;
%K = 2;
K = 1;
G = 0.1;
d = 1;
%d = 0.1;
%chi = 1.5;
chi = 1;
%alpha = 1.5;
alpha = 1;
OmegaInit = 0.6+0.6*i;

[growth, OMEGA, realOmega, speed] = compareloopK(OmegaInit,C,D,alpha,K,G,d,chi);


Lambda  = -0.62;
Gamma   = 0.1;
epsilon = 0.4;
alpha   = 1;
OmegaInit = 0.6+0.6*i;

[growth3, OMEGA3, realOmega3, speed3] = compareloopZ1(OmegaInit,Lambda,Gamma,alpha,epsilon);

l = 1:0.05:10;


fontS = 12;

figure
subplot(2,1,1)
%plot(l,realOmega,'r', 'linewidth',3);hold on
%plot(l,realOmega1,'b', 'linewidth',3);
plot(l,speed,'b', 'linewidth',3);hold on
plot(l,speed3,'r', 'linewidth',3);
%legend('Em','Emanuel model no CRI','Emanuel model no WISHE','Fuchs&Raymond model WISHE and CRI','Fuchs&Raymond model no CRI','Fuchs&Raymond model no WISHE','location','northeastoutside');
legend('KE model','FR model','location','southwest');
%ylabel({'phase speed','m/s'}, "fontsize", fontS)
ylabel({'phase speed'}, "fontsize", fontS)
%#title('n=1: \Lambda = -0.09, \Gamma = 0.2, \epsilon = 0', "fontsize", 14, 'FontWeight','Normal')
%#title('v=0: \Lambda = -0.09, \Gamma = 0.2, \epsilon = 0', "fontsize", 14, 'FontWeight','Normal')
xlim([0.5 10])
%ylim([0 5])
set(gca,'fontsize',fontS)

subplot(2,1,2)
plot(l,growth,'b', 'linewidth',3);hold on
plot(l,growth3,'r', 'linewidth',3);
%plot([0 10],[0 0], 'b--')
%#axis([-0.2:0.2:1.2])
xlabel('planetary wavenumber', "fontsize", fontS)
%ylabel({'growth rate','1/day'}, "fontsize", fontS)
ylabel({'growth rate'}, "fontsize", fontS)
xlim([0.5 10])
ylim([0.1 0.4])
set(gca,'fontsize',fontS)
