function Omega = dispersion_K(l,startval,C,D,alpha,K,G,d,chi)

Omega = startval;

% converge to Omega with current kappa value
tol = 1.0e-10;
for i = 1:101
    oldOmega = Omega;
    Omega = Omega - (fK(l,Omega,C,D,alpha,K,G,d,chi) /...
        fKp(l,Omega,C,D,alpha,K,G,d,chi))*.5;
    if (abs(Omega-oldOmega) < tol)
        break
    end
    if (i == 1000)
        printf('%f, no covergence -- ',Omega)
        break
    end
end

