function solution = fK(l,Omega,C,D,alpha,K,G,d,chi)

%Kerry dispersion with simplified parameters
solution = Omega.^3 + i*alpha*K*d*chi*Omega.^2 + (i*l*D-l^2)* Omega - l*alpha*D - i*l^2*(C*G+alpha*G-C);
%Z solution with Kerry parameters
%solution = Omega.^3 + i*alpha*K*d*chi*Omega.^2 - l^2*Omega - l*(alpha+C)*D - i*l^2*(C*G+alpha*G-C);
%Kerry solution
%solution = Omega.^3 + i*(chi-K*C+d*l^2)*Omega.^2 + (K*C*chi-l^2-i*alpha*l-d*l^2*chi-D*C-D)* Omega + l*(C+1)*(alpha-i*G*l) + l*(alpha-i*l)*(d*l^2-K*C);

% kiladis dispersion relation
%solution = Omega^2-kappa^2-kappa/Omega-3;


