function solution = fKp(l,Omega,C,D,alpha,K,G,d,chi)
%--------------------------------------------------------
% form numerical derivative of LHS of dispersion relation
%--------------------------------------------------------
% Note: Press et al. warn of using this instead of an
%       analytic derivative because, in prescribing dphi
%       one assumes unknown properties of the parameter
%       space.
%-------------------------------------------------------
 dOmega = 0.000000000001;
 solution = ( fK(l,Omega+dOmega,C,D,alpha,K,G,d,chi) - ...
             fK(l,Omega,C,D,alpha,K,G,d,chi) ) / dOmega;
