function Omega = dispersion_minus(kappa,startval,Lambda,Gamma,beta)

Omega = startval;

% converge to Omega with current kappa value
tol = 1.0e-10;
for i = 1:101
    oldOmega = Omega;
    Omega = Omega - (f_minus(kappa,Omega,Lambda,Gamma,beta) /...
        fp_minus(kappa,Omega,Lambda,Gamma,beta))*.5;
    if (abs(Omega-oldOmega) < tol)
        break
    end
    if (i == 100)
        print('%f, no covergence -- ',Omega)
        break
    end
end