function solution = fp(kappa,Omega,Lambda,Gamma,beta,epsilon)
%--------------------------------------------------------
% form numerical derivative of LHS of dispersion relation
%--------------------------------------------------------
% Note: Press et al. warn of using this instead of an
%       analytic derivative because, in prescribing dphi
%       one assumes unknown properties of the parameter
%       space.
%-------------------------------------------------------
 dOmega = 0.000000000001;
 solution = ( f(kappa,Omega+dOmega,Lambda,Gamma,beta,epsilon) - ...
             f(kappa,Omega,Lambda,Gamma,beta,epsilon) ) / dOmega;
