function solution = fp_minus(kappa,Omega,Lambda,Gamma,beta)
%--------------------------------------------------------
% form numerical derivative of LHS of dispersion relation
%--------------------------------------------------------
% Note: Press et al. warn of using this instead of an
%       analytic derivative because, in prescribing dphi
%       one assumes unknown properties of the parameter
%       space.
%-------------------------------------------------------
 dOmega = 0.000000000001;
 solution = ( f_minus(kappa,Omega+dOmega,Lambda,Gamma,beta) - ...
             f_minus(kappa,Omega,Lambda,Gamma,beta) ) / dOmega;